#!/usr/bin/env node

import 'source-map-support/register.js';

import * as cdk from 'aws-cdk-lib';

import { stdin as input, stdout as output } from 'process';

import { Error13Stack } from '../lib/error13-stack.js';
import readline from 'readline';

// `cdk` won't wait for user input
readline.createInterface({ input, output }).question(`Question 1: `, answer => console.log(answer));

// `cdk` exits with error 13
await new Promise(resolve => readline.createInterface({ input, output }).question(`Question 2: `, answer => console.log(answer)));

// `cdk` exits with error 13
await new Promise(resolve => setTimeout(() => resolve, 3000));

const app = new cdk.App();
new Error13Stack(app, 'Error13Stack', {
  /* If you don't specify 'env', this stack will be environment-agnostic.
   * Account/Region-dependent features and context lookups will not work,
   * but a single synthesized template can be deployed anywhere. */

  /* Uncomment the next line to specialize this stack for the AWS Account
   * and Region that are implied by the current CLI configuration. */
  // env: { account: process.env.CDK_DEFAULT_ACCOUNT, region: process.env.CDK_DEFAULT_REGION },

  /* Uncomment the next line if you know exactly what Account and Region you
   * want to deploy the stack to. */
  // env: { account: '123456789012', region: 'us-east-1' },

  /* For more information, see https://docs.aws.amazon.com/cdk/latest/guide/environments.html */
});